Bug Hunting Session
Bug 117640 - Embedded table goes outside the table border with special paste RTF
Summary: Embedded table goes outside the table border with special paste RTF
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF-Paste RTF-Tables
  Show dependency treegraph
 
Reported: 2018-05-16 09:52 UTC by Telesto
Modified: 2019-05-17 03:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (9.03 KB, application/vnd.oasis.opendocument.text)
2018-05-16 09:52 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-05-16 09:52:36 UTC
Description:
Embedded table goes outside the table border with special paste RTF

Steps to Reproduce:
1. Open the attached file
2. Copy the content
3. Click on an empty spot below
4. SHIFT+CTRL+V -> paste as RTF

-> Its working when saving the document as RTF file first

Actual Results:  
Embedded table goes outside the cell border

Expected Results:
Should be the same as the source


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: c5f8a296fcfc08f8ac441cb8300a7565caa50b53
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-10_03:01:48
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2018-05-16 09:52:57 UTC
Created attachment 142126 [details]
Example file
Comment 2 Dieter Praas 2018-05-16 11:00:48 UTC
Reproducible for me

Version: 6.1.0.0.alpha1+ (x64)
Build ID: 775d0f26beecffccf3ed27a6a011aff20d91f842
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_01:05:25
Locale: en-US (de_DE); Calc: CL
Comment 3 QA Administrators 2019-05-17 03:09:42 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug